x<-read.csv("GSE19650_series_matrix.csv",header=TRUE,sep=",")
y<-read.csv("GPL570-55999.csv",header=TRUE,sep=",")
z<-merge(x,y)
write.csv(z,file="GSE19650 GENE ID.CSV")
###DUPLICATION REMOVAL
data1<-read.csv("GSE19650 GENE ID.CSV",header=TRUE,sep=",")
########*******CHECK COLNAME,AND COLUMNS ****########
#####****AND READ IT AGAIN*******######
data1<-read.csv("GSE19650 GENE ID.csv",header=TRUE,sep=",")
data1A<-aggregate(data1[,2:16],list(data1$GeneSymbol),FUN="mean")
write.csv(data1A,file="GSE19650noduplication.CSV")
dataA<-read.csv("GSE19650noduplication.CSV",header=TRUE,sep=",")
######read again after removing blank row###############
dataA<-read.csv("GSE19650noduplication.CSV",header=TRUE,sep=",")
#######***********************######################

a<-read.csv("GSE63104 annotation.csv",header=TRUE,sep=",")
b<-read.csv("GSE63104_series_matrix.csv",header=TRUE,sep=",")
c<-merge(a,b)
write.csv(c,file="GSE63104 GENEID.CSV")
data2<-read.csv("GSE63104 GENEID.CSV",header=TRUE,sep=",")
data2A<-aggregate(data2[,2:24],list(data2$GeneSymbol),FUN="mean")
write.csv(data2A,file="GSE63104noduplication.CSV")
dataB<-read.csv("GSE63104noduplication.CSV",header=TRUE,sep=",")
######read again after removing blank row###############
dataB<-read.csv("GSE63104noduplication.CSV",header=TRUE,sep=",")
##########**********************************************************#######
#################MAKING FINAL DATA########  
X<-merge(dataA,dataB)
write.csv(X,file="GENEEXP GENEID.CSV")
X<-read.csv("Batch corrected.csv",header=TRUE,sep=",")
#########*************################
#########INSTALL LIBRARY###################
if (!requireNamespace("BiocManager", quietly = TRUE))
  install.packages("BiocManager")
BiocManager::install("RankProd")
library(RankProd)  
######********########
CORG<-read.csv("origin (copy).csv",header=TRUE,sep=",")
##identify differentially expressed  genes#####
data.cl<-CORG$CLASS
data.org<-CORG$ORIGIN
nrow(CORG)
ncol(X)
df <- data.frame(X, row.names =X$GeneSymbol)
rownames(df) <- df[,1] 

df[,1]<-NULL

X<-df
RP.adv.out <-  RP.advance(X,data.cl,data.org,logged=TRUE,gene.names=row.names(X),rand=123)
topGene(RP.adv.out,cutoff=0,method="pfp",logged=TRUE,logbase=2,gene.names=X$GeneSymbol)
DEGS<-topGene(RP.adv.out,cutoff=1,method="pfp",logged=TRUE,logbase=2,gene.names=X$GeneSymbol)
tab1<-DEGS$Table1
tab2<-DEGS$Table2
write.csv(tab1,file="BTABLE1.CSV")
write.csv(tab2,file="BTABLE2.CSV")




