## CALCULATE LFC##
Data<-read.csv("Batch corrected(copy).CSV",header=TRUE,sep=",")
Data1<-read.csv("volcano.CSV",header=TRUE,sep=",")
A<-merge(Data,Data1)
write.csv(A,"volcanofile.csv")
A<-read.csv("volcanofile.csv",header=TRUE,sep=",")
dim(A)
class(A)
dimnames(A)[[1]] <- A[,1]
A= A[,-1]
colnames(A)
t.test(A[,1:12], A[,13:38])
y <- t.test(A[,1:12], A[, 13:38])

dim(A)

ttestA <- function(df, grp1, grp2) {
  x = df[grp1]
  y = df[grp2]
  x = as.numeric(x)
  y = as.numeric(y)  
  results = t.test(x, y)
  results$p.value
}
rawpvalue = apply(A, 1, ttestA, grp1 = c(1:12), grp2 = c(13:38))
hist(rawpvalue)
##transform our data into log2 base.
A = log2(A)

#calculate the mean of each gene per control group
control = apply(A[,1:12], 1, mean)

#calcuate the mean of each gene per test group
test = apply(A[, 13:38], 1, mean) 

#confirming that we have a vector of numbers
class(control) 
#confirming we have a vector of numbers
class(test)
#because our data is already log2 transformed, we can take the difference between the means.  And this is our log2 Fold Change or log2 Ratio == log2(control / test)
foldchange <- test/control
#FC<-foldchange(A,control=1,test=0,unlog=TRUE)
#write.csv(foldchange,file="RFC.csv")
hist(foldchange, xlab = "Fold Change (Control vs Test)")
results = cbind(foldchange, rawpvalue)
results = as.data.frame(results)
results$probename <- rownames(results)
#Fc<-foldchange(A,unlog=FALSE)
library(ggplot2)
volcano = ggplot(data = A, aes(x = foldchange, y = -1*log10(rawpvalue)))
volcano + geom_point() + geom_hline(yintercept=1.3, linetype="longdash", colour="black", size=0.4)
res1<-(results$foldchange)>1
res2<-(results$foldchange)<1
up <- rownames(results)[which(res1)]
down <- rownames(results)[which(res2)]
with(results, plot(foldchange, -1*log10(rawpvalue), pch=20, main="Volcano plot"))
padj<-(results$rawpvalue)
with(subset(results,padj>0.05), points(foldchange, -1*log10(rawpvalue), pch=20,col="black"))
with(results[which(rownames(results) %in% up),], points(foldchange, -1*log10(rawpvalue), pch=20, col="green"))
with(results[which(rownames(results) %in% down),], points(foldchange, -1*log10(rawpvalue), pch=20, col="red"))
with(subset(results,padj>0.05), points(foldchange, -1*log10(rawpvalue), pch=20,col="black"))
with(abline(h=1.3, col = "blue", lwd= ,lty = 2,))

##### geom_vline(xintercept=c(-foldchange, foldchange), linetype="longdash", colour="black", size=0.4)
#####+geom_hline(yintercept=-1*log10(rawpvalue), linetype="longdash", colour="black", size=0.4)
#Add a horizontal line for P-value cut-off
return(plot)














  